%define gitdate 20130114

%define rel %mkrel 0.%{gitdate}.2

%define shortname solv
%define major 0
%define libname %mklibname %shortname %major
%define libname_devel %mklibname -d %shortname


Name:   libsolv
Version:  0.0.0
Release:  %rel
License:  BSD
Url:    https://github.com/openSUSE/libsolv
# git clone https://github.com/openSUSE/libsolv.git
# git archive HEAD --prefix=libsolv/ | xz > libsolv-%{gitdate}.tar.xz
Source:   libsolv-%{gitdate}.tar.xz
Patch0: libsolv-link.patch
Group:    System/Libraries
Summary:  Package dependency solver
BuildRequires:  cmake 
BuildRequires:  db-devel 
BuildRequires:  expat-devel 
BuildRequires:  rpm-devel 
BuildRequires:  zlib-devel
BuildRequires:  swig
BuildRequires:  perl 
BuildRequires:  perl-devel 
BuildRequires:  ruby 
BuildRequires:  ruby-devel 
BuildRequires:  python-devel

%description
A free package dependency solver using a satisfiability algorithm. The
library is based on two major, but independent, blocks:

- Using a dictionary approach to store and retrieve package
  and dependency information.

- Using satisfiability, a well known and researched topic, for
  resolving package dependencies.

%package -n %{libname}
Summary:  Libraries for %{name}
Group:    System/Libraries
Requires: libsolv-tools = %{version}-%{release}

%description -n %{libname}
Libraries for %{name}

%package -n %{libname_devel}
Summary:  Development files for %{name}
Group:    Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: libsolv-tools = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: cmake

%description -n %{libname_devel}
Development files for %{name}

%package tools
Summary:  A new approach to package dependency solving
Group:    System/Packaging
Obsoletes: satsolver-tools < 0.17.0-5
Requires: gzip
Requires: bzip2

%description tools
Package dependency solver tools.

#%package demo
#Summary:  Applications demoing the libsolv library
#Group:    Development/Libraries
#Requires: curl gnupg2

#%description demo
#Applications demoing the libsolv library.

%package -n ruby-solv
Summary:  Ruby bindings for the libsolv library
Group:    Development/Ruby

%description -n ruby-solv
Ruby bindings for sat solver.

%package -n python-solv
Summary:  Python bindings for the libsolv library
Group:    Development/Python

%description -n python-solv
Python bindings for sat solver.

%package -n perl-solv
Summary:  Perl bindings for the libsolv library
Group:    Development/Perl

%description -n perl-solv
Perl bindings for sat solver.

%prep
%setup -q -n libsolv
%patch0 -p0

# (cg) The examples do not support Mandriva/Mageia repositories
sed -i 's/ADD_SUBDIRECTORY (examples)/#ADD_SUBDIRECTORY (examples)/' CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DENABLE_PERL=1 \
       -DENABLE_PYTHON=1 \
       -DENABLE_RUBY=1 \
       -DENABLE_SUSEREPO=1 \
       -DENABLE_HELIXREPO=1 \
       -DENABLE_LZMA_COMPRESSION=1 \
       -DENABLE_MDKREPO=1 -DMANDRIVA=1 \
       -DUSE_VENDORDIRS=1
%make

%install
%makeinstall_std -C build

rm %{buildroot}/usr/bin/testsolv

%files -n %{libname}
%doc README BUGS
%{_libdir}/libsolv.so.%{major}
%{_libdir}/libsolvext.so.%{major}

%files tools
#%{_bindir}/deltainfoxml2solv
%{_bindir}/dumpsolv
%{_bindir}/installcheck
%{_bindir}/mergesolv
%{_bindir}/repo2solv.sh
%{_bindir}/mdk2solv
%{_bindir}/susetags2solv
%{_bindir}/helix2solv

#%{_bindir}/repomdxml2solv
#%{_bindir}/rpmdb2solv
#%{_bindir}/rpmmd2solv
#%{_bindir}/rpms2solv
#%{_bindir}/updateinfoxml2solv

%files -n %{libname_devel}
%doc examples/solv.c
%{_libdir}/libsolv.so
%{_libdir}/libsolvext.so
%{_includedir}/solv
%{_datadir}/cmake/Modules/FindLibSolv.cmake

#%files demo
#%{_bindir}/solv

%files -n perl-solv
%doc examples/p5solv
%{perl_vendorarch}/*

%files -n ruby-solv
%doc examples/rbsolv
%{ruby_vendorarchdir}/*

%files -n python-solv
%doc examples/pysolv
%{python_sitearch}/*


%changelog

* Tue Jan 22 2013 fwang <fwang> 0.0.0-0.20130114.2.mga3
+ Revision: 390773
- update rpm group

* Sat Jan 19 2013 fwang <fwang> 0.0.0-0.20130114.1.mga3
+ Revision: 389691
- more linkage fix
- link against pthread
- fix linkage
- new snapshot

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 0.0.0-0.20120701.2.mga3
+ Revision: 276444
- update file list
- specify correct libsolv switch
- obsolete old tools

* Sun Jul 01 2012 colin <colin> 0.0.0-0.20120701.1.mga3
+ Revision: 266215
- Fix more groups
- Fix groups
- Enable Helix support (needed for libzypp compilation)
- Import libsolv (based on Fedora package)

